TagLib::MP4::Stem Class Reference

`#include <mp4stem.h>`

## Public Member Functions

| Stem ()
| Stem (const ByteVector &data)
| ~Stem ()
| Stem (const Stem &item)
Stem & | operator= (const Stem &item)
void | swap (Stem &item) noexcept
ByteVector | data () const
| The Stem data.
bool | operator== (const Stem &other) const
bool | operator!= (const Stem &other) const

## Constructor & Destructor Documentation

## Stem() [1/3]

TagLib::MP4::Stem::Stem | ( |  | ) |

Referenced by operator!=(), operator=(), operator==(), Stem(), and swap().

## Stem() [2/3]

TagLib::MP4::Stem::Stem | ( | const ByteVector & | data | ) |

explicit

References data().

## ~Stem()

TagLib::MP4::Stem::~Stem | ( |  | ) |

## Stem() [3/3]

TagLib::MP4::Stem::Stem | ( | const Stem & | item | ) |

References Stem().

## Member Function Documentation

## data()

ByteVector TagLib::MP4::Stem::data | ( |  | ) | const

The Stem data.

Referenced by Stem().

## operator!=()

bool TagLib::MP4::Stem::operator!= | ( | const Stem & | other | ) | const

Returns `true` if the Stem and other have different data.

References Stem(), and TAGLIB_MSVC_SUPPRESS_WARNING_NEEDS_TO_HAVE_DLL_INTERFACE.

## operator=()

Stem & TagLib::MP4::Stem::operator= | ( | const Stem & | item | ) |

Copies the contents of item into this Stem.

References Stem().

## operator==()

bool TagLib::MP4::Stem::operator== | ( | const Stem & | other | ) | const

Returns `true` if the Stem and other contain the same data.

References Stem().

## swap()

void TagLib::MP4::Stem::swap | ( | Stem & | item | ) |

noexcept

Exchanges the content of the Stem with the content of item.

References Stem().

The documentation for this class was generated from the following file:

- mp4stem.h